For the complete documentation index, see llms.txt. This page is also available as Markdown.

Copy

Copy

post

Copy (duplicate) a published item.

Path parameters
idinteger · int32Required

ID of Pub item to duplicate.

Body

Copy a published item

parentIdinteger · int32Optional

ID of a new parent published item. To obtain the published item ID, use the Get-PubItem command.

previousIdinteger · int32Optional

ID of a sibling item after which to place the specified published item. To obtain the sibling item ID, use the Get-PubItem command.

Responses
201

Created

application/json; api-version=1.0

RAS Published Item

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

inheritMaintenancebooleanOptional

Inherit Maintenance.

replicateMaintenancebooleanOptional

Replicate Maintenance.

namestring · nullableOptional

Name of the published item.

typestring · enumOptional

RAS Publishing Objects

Possible values:
parentIdinteger · int32Optional

ID of the parent folder of the published item.

previousIdinteger · int32Optional

ID of the previous published item.

descriptionstring · nullableOptional

Description of the published item.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
enabledbooleanOptional

Whether the published item is enabled or not.

publishToSiteinteger · int32[] · nullableOptional

List of the IDs of all the sites this item is published to.

preferredRoutingEnabledbooleanOptional

Whether Preferred Routing is enabled or not.

post/api/PubItems/{id}/Copy
POST /api/PubItems/{id}/Copy HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 29

{
  "parentId": 1,
  "previousId": 1
}
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "maintenanceMessages": {
    "maintenanceMessage_en_US": "text",
    "maintenanceMessage_ja_JP": "text",
    "maintenanceMessage_fr_FR": "text",
    "maintenanceMessage_es_ES": "text",
    "maintenanceMessage_it_IT": "text",
    "maintenanceMessage_pt_BR": "text",
    "maintenanceMessage_nl_NL": "text",
    "maintenanceMessage_zh_TW": "text",
    "maintenanceMessage_zh_CN": "text",
    "maintenanceMessage_ko_KR": "text",
    "maintenanceMessage_de_DE": "text"
  },
  "inheritMaintenance": true,
  "replicateMaintenance": true,
  "name": "text",
  "type": [
    "0 = Any",
    "1 = Folder",
    "2 = RDSApp",
    "3 = RDSDesktop",
    "4 = VDIDesktop",
    "5 = PCDesktop",
    "6 = PCApp",
    "7 = VDIApp",
    "8 = AVDApp",
    "9 = AVDDesktop",
    "10 = LocalApp"
  ],
  "parentId": 1,
  "previousId": 1,
  "description": "text",
  "enabledMode": [
    "0 = Disabled",
    "1 = Enabled",
    "2 = Maintenance"
  ],
  "enabled": true,
  "publishToSite": [
    1
  ],
  "preferredRoutingEnabled": true,
  "preferredRoutes": [
    {
      "id": 1,
      "priority": 1,
      "name": "text",
      "description": "text",
      "enabled": true,
      "referenceType": [
        "3 = Gateway",
        "51 = HALB",
        "83 = Custom"
      ],
      "referenceId": 1
    }
  ],
  "filter": {
    "rules": [
      {
        "id": 1,
        "priority": 1,
        "enabled": true,
        "name": "text",
        "description": "text",
        "criteria": {
          "securityPrincipals": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "members": [
              {
                "account": "text",
                "type": [
                  "1 = User",
                  "2 = Group",
                  "3 = ForeignSecurityPrincipal",
                  "4 = Computer"
                ],
                "sid": "text"
              }
            ]
          },
          "gateways": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "members": [
              {
                "gatewayIP": "text"
              }
            ]
          },
          "oSs": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "allowedOSes": {
              "chrome": true,
              "android": true,
              "webClient": true,
              "iOS": true,
              "linux": true,
              "mac": true,
              "wyse": true,
              "windows": true
            }
          },
          "iPs": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "allowedIPs": {
              "iPv4s": [
                {
                  "from": "text",
                  "to": "text"
                }
              ],
              "iPv6s": [
                {
                  "from": "text",
                  "to": "text"
                }
              ]
            }
          },
          "hardwareIDs": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "members": [
              {
                "hardwareID": "text"
              }
            ]
          },
          "access": [
            "0 = DenyCriteriaWhen",
            "1 = AllowCriteriaWhen"
          ],
          "devices": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "members": [
              {
                "client": "text"
              }
            ]
          },
          "themes": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "ids": [
              1
            ]
          }
        }
      }
    ],
    "default": [
      "0 = Deny",
      "1 = Allow"
    ]
  }
}

Last updated